com.pixelmed.scpecg

## Class RecordHeader

- java.lang.Object
- - com.pixelmed.scpecg.RecordHeader

    public class RecordHeader
    extends java.lang.Object

A class to encapsulate an SCP-ECG record header.

### Constructor Summary

Constructors
Constructor and Description
`RecordHeader()`

### Method Summary

Methods
`int` `getCRC()`
`long` `getRecordLength()`
`long` `read(BinaryInputStream i)` Read a header from a stream.
`java.lang.String` `toString()` Dump the record header as a `String`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecordHeader

    public RecordHeader()

### Method Detail

#### getCRC

    public int getCRC()

#### getRecordLength

    public long getRecordLength()

#### read

    public long read(BinaryInputStream i)
              throws java.io.IOException

Read a header from a stream.

Parameters:
  `i` - the input stream
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Dump the record header as a `String`.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the header as a `String`